Loading...
Searching...
No Matches
Halide::Internal::Autoscheduler::LoopNest::StageScheduleState::FuncVar Struct Reference

`#include <LoopNest.h>`

## Public Member Functions

| FuncVar ()
| FuncVar ()

## Public Attributes

VarOrRVar | orig
VarOrRVar | var
string | accessor
int64_t | extent = 0
size_t | index = 0
bool | innermost_pure_dim = false
bool | outermost = false
bool | parallel = false
bool | exists = false
bool | pure = false
bool | constant_extent = false
bool | vectorized = false
bool | gpu_threads = false

## Detailed Description

Definition at line 218 of file LoopNest.h.

## Constructor & Destructor Documentation

## FuncVar() [1/2]

Halide::Internal::Autoscheduler::LoopNest::StageScheduleState::FuncVar::FuncVar | ( |  | ) |

inline

Definition at line 244 of file LoopNest.h.

References orig, and var.

## FuncVar() [2/2]

Halide::Internal::Autoscheduler::LoopNest::StageScheduleState::FuncVar::FuncVar | ( |  | ) |

inline

Definition at line 623 of file LoopNest.h.

References orig, and var.

## Member Data Documentation

## orig

VarOrRVar Halide::Internal::Autoscheduler::LoopNest::StageScheduleState::FuncVar::orig

Definition at line 220 of file LoopNest.h.

Referenced by FuncVar().

## var

VarOrRVar Halide::Internal::Autoscheduler::LoopNest::StageScheduleState::FuncVar::var

Definition at line 223 of file LoopNest.h.

Referenced by FuncVar().

## accessor

string Halide::Internal::Autoscheduler::LoopNest::StageScheduleState::FuncVar::accessor

Definition at line 227 of file LoopNest.h.

## extent

int64_t Halide::Internal::Autoscheduler::LoopNest::StageScheduleState::FuncVar::extent = 0

Definition at line 231 of file LoopNest.h.

## index

size_t Halide::Internal::Autoscheduler::LoopNest::StageScheduleState::FuncVar::index = 0

Definition at line 235 of file LoopNest.h.

## innermost_pure_dim

bool Halide::Internal::Autoscheduler::LoopNest::StageScheduleState::FuncVar::innermost_pure_dim = false

Definition at line 238 of file LoopNest.h.

## outermost

bool Halide::Internal::Autoscheduler::LoopNest::StageScheduleState::FuncVar::outermost = false

Definition at line 239 of file LoopNest.h.

## parallel

bool Halide::Internal::Autoscheduler::LoopNest::StageScheduleState::FuncVar::parallel = false

Definition at line 240 of file LoopNest.h.

## exists

bool Halide::Internal::Autoscheduler::LoopNest::StageScheduleState::FuncVar::exists = false

Definition at line 241 of file LoopNest.h.

## pure

bool Halide::Internal::Autoscheduler::LoopNest::StageScheduleState::FuncVar::pure = false

Definition at line 242 of file LoopNest.h.

## constant_extent

bool Halide::Internal::Autoscheduler::LoopNest::StageScheduleState::FuncVar::constant_extent = false

Definition at line 243 of file LoopNest.h.

## vectorized

bool Halide::Internal::Autoscheduler::LoopNest::StageScheduleState::FuncVar::vectorized = false

Definition at line 620 of file LoopNest.h.

## gpu_threads

bool Halide::Internal::Autoscheduler::LoopNest::StageScheduleState::FuncVar::gpu_threads = false

Definition at line 621 of file LoopNest.h.

The documentation for this struct was generated from the following files:

- src/autoschedulers/adams2019/LoopNest.h
- src/autoschedulers/anderson2021/LoopNest.h